<template>
  <view class="container">

    <view class="h-content">
      <view class="" v-html="termOfService.aboutContent"></view>
    </view>

  </view>
</template>

<script>
// import {getTermOfServiceByType} from '/src/api/me/me.js';
export default {
  data() {
    return {
      reqParm: {
        auth: true,
        type: 1
      },
    };
  },
  mounted() {
  },
  onLoad(option) {
    uni.setNavigationBarTitle({
      title:option.name
    })
    this.reqParm.type = option.type;
    this.getTermOfServiceByType();
  },
  methods: {
    // 获取服务条款信息
    getTermOfServiceByType(){
      // 获取数据
     this.$api.getTermOfServiceByType(this.reqParm).then((res)=>{
        if(res.aboutContent){
          this.termOfService.aboutContent = res.aboutContent
        }else{
          this.termOfService.aboutContent = "暂无信息！！！"
        }
      }).catch(() =>{
        uni.showToast({
          title: "操作失败"
        })
      });
    },

  }
};
</script>

<style lang="scss">
.container{
  padding: 12px;
}

</style>
